## lomiri-history-service 0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(history-service VERSION 0.4 LANGUAGES CXX)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

# Standard install paths
include(GNUInstallDirs)

# Check for include files
include(CheckIncludeFileCXX)
include(CheckIncludeFile)

# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

find_package(Qt5Contacts)
find_package(Qt5DBus)
find_package(Qt5Qml)
find_package(Qt5Quick)
find_package(Qt5Test)
find_package(Qt5Network)
find_package(LibPhoneNumber REQUIRED)

include(qt5)

if(NOT CMAKE_CROSSCOMPILING)
    find_program(QMAKE_EXECUTABLE qmake)
    if(QMAKE_EXECUTABLE STREQUAL "QMAKE_EXECUTABLE-NOTFOUND")
        message(FATAL_ERROR "qmake not found")
    endif()
    execute_process(
        COMMAND ${QMAKE_EXECUTABLE} -query QT_INSTALL_QML
        RESULT_VARIABLE RESULT
        OUTPUT_VARIABLE QT_INSTALL_QML
        OUTPUT_STRIP_TRAILING_WHITESPACE
    )
    if(NOT RESULT EQUAL 0)
        message(FATAL_ERROR "Failed to determine QT_INSTALL_QML from qmake")
    endif()
else()
    # qmake isn't multi-arch aware as it installs arch-specific mkspec files
    # in to /usr/share, so we can't use it here (we'd need a qmake binary
    # for the host arch using data for the target arch)
    set(QT_INSTALL_QML "/usr/lib/${CMAKE_LIBRARY_ARCHITECTURE}/qt5/qml")
endif()

find_package(PkgConfig REQUIRED)
pkg_check_modules(TP_QT5 REQUIRED TelepathyQt5)
pkg_check_modules(SQLITE3 REQUIRED sqlite3)
pkg_check_modules(QTGLIB QtGLib-2.0)
pkg_check_modules(SYSTEMD REQUIRED systemd)

find_program(DBUS_RUNNER dbus-test-runner)

option(TRACE_SQLITE "Print Sqlite commants to the log." off)
if (${TRACE_SQLITE})
    add_definitions(-DTRACE_SQLITE)
endif()

add_definitions(-DQT_NO_KEYWORDS)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    )

set(HISTORY_PLUGIN_PATH ${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}/plugins)
set(TEST_DATA_DIR "${CMAKE_SOURCE_DIR}/tests/data")
configure_file(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h @ONLY)

# generate a macro to make it easier to enable coverage support on targets
function(ENABLE_COVERAGE)
    get_directory_property(COVERAGE_TARGETS DIRECTORY ${CMAKE_SOURCE_DIR} COVERAGE_TARGETS)
    list(APPEND COVERAGE_TARGETS ${ARGN})
    MESSAGE(STATUS "Enabling coverage report for target(s): ${ARGN}")
    set_property(DIRECTORY ${CMAKE_SOURCE_DIR} PROPERTY COVERAGE_TARGETS ${COVERAGE_TARGETS})
endfunction()

enable_testing()

add_definitions(-std=c++11)

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99 -Wall -Werror")
# TODO remove the need for -Wno-unused-variable
# unused-variable currently fails because of public headers includes static char's
# there is also a gcc bug that makes it not possable to rely on diagnostic pragmas
# https://gcc.gnu.org/bugzilla/show_bug.cgi?id=69967
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Werror -Wno-unused-variable")

# Define the version to be used in the library
set(HISTORY_VERSION_MAJOR 0)
set(HISTORY_VERSION_MINOR 0)
set(HISTORY_VERSION_PATCH 0)
set(PACKAGE_VERSION ${HISTORY_VERSION_MAJOR}.${HISTORY_VERSION_MINOR}.${HISTORY_VERSION_PATCH})

add_subdirectory(src)
add_subdirectory(daemon)
add_subdirectory(plugins)
add_subdirectory(tools)
add_subdirectory(Lomiri)
add_subdirectory(tests)

find_package(CoverageReport)
# Coverage
#####################################################################
# Enable code coverage calculation with gcov/gcovr/lcov
# Usage:
#  * Switch build type to coverage (use ccmake or cmake-gui)
#  * Invoke make, make test, make coverage
#  * Find html report in subdir coveragereport
#  * Find xml report feasible for jenkins in coverage.xml
#####################################################################
IF(CMAKE_BUILD_TYPE MATCHES [cC][oO][vV][eE][rR][aA][gG][eE])
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ftest-coverage -fprofile-arcs" )
  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -ftest-coverage -fprofile-arcs" )
  SET(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -coverage" )
  SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -coverage" )
  GET_DIRECTORY_PROPERTY(COVERAGE_TARGETS DIRECTORY ${CMAKE_SOURCE_DIR} COVERAGE_TARGETS)
  ENABLE_COVERAGE_REPORT(TARGETS ${COVERAGE_TARGETS})
ENDIF(CMAKE_BUILD_TYPE MATCHES [cC][oO][vV][eE][rR][aA][gG][eE])

=== daemon/CMakeLists.txt ===

set(qt_SRCS
    callchannelobserver.cpp
    emblemcountmanager.cpp
    historydaemon.cpp
    historyservicedbus.cpp
    pluginmanager.cpp
    rolesinterface.cpp
    textchannelobserver.cpp
    )

set(daemon_SRCS main.cpp ${qt_SRCS})

include_directories(
    ${TP_QT5_INCLUDE_DIRS}
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    )

qt5_add_dbus_adaptor(daemon_SRCS HistoryService.xml historyservicedbus.h HistoryServiceDBus)

add_executable(history-daemon ${daemon_SRCS} ${daemon_HDRS})
qt5_use_modules(history-daemon Core DBus)

target_link_libraries(history-daemon
    ${TP_QT5_LIBRARIES}
    historyservice
    )

pkg_get_variable(SYSTEMD_USER_UNIT_DIR systemd systemduserunitdir)

configure_file(org.freedesktop.Telepathy.Client.HistoryDaemonObserver.service.in org.freedesktop.Telepathy.Client.HistoryDaemonObserver.service)
configure_file(com.lomiri.HistoryService.service.in com.lomiri.HistoryService.service)
configure_file(history-daemon.service.in ${CMAKE_CURRENT_BINARY_DIR}/history-daemon.service)

install(TARGETS history-daemon RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_LIBEXECDIR})
install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Telepathy.Client.HistoryDaemonObserver.service
        ${CMAKE_CURRENT_BINARY_DIR}/com.lomiri.HistoryService.service
        DESTINATION share/dbus-1/services
        )
install(FILES HistoryDaemonObserver.client DESTINATION share/telepathy/clients)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/history-daemon.service
        DESTINATION ${SYSTEMD_USER_UNIT_DIR})

=== Lomiri/History/CMakeLists.txt ===
# QML plugin

set(plugin_SRCS
    historyeventmodel.cpp
    historygroupedeventsmodel.cpp
    historygroupedthreadsmodel.cpp
    historymanager.cpp
    historymodel.cpp
    historyqmlfilter.cpp
    historyqmlintersectionfilter.cpp
    historyqmlplugin.cpp
    historyqmlsort.cpp
    historyqmltexteventattachment.cpp
    historyqmlunionfilter.cpp
    historythreadmodel.cpp
    )

set(plugin_HDRS
    historyeventmodel.h
    historygroupedeventsmodel.h
    historygroupedthreadsmodel.h
    historymanager.h
    historymodel.h
    historyqmlfilter.h
    historyqmlintersectionfilter.h
    historyqmlplugin.h
    historyqmlsort.h
    historyqmltexteventattachment.h
    historyqmlunionfilter.h
    historythreadmodel.h
)

include_directories(
    ${CMAKE_SOURCE_DIR}/src
    )

add_library(history-qml MODULE ${plugin_SRCS} ${plugin_HDRS})

qt5_use_modules(history-qml Contacts Core Qml Quick)

target_link_libraries(history-qml
    historyservice
    )

set(PLUGIN_DIR ${QT_INSTALL_QML}/Lomiri/History)
install(TARGETS history-qml DESTINATION ${PLUGIN_DIR})
install(FILES qmldir DESTINATION ${PLUGIN_DIR})

=== tests/daemon/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_SOURCE_DIR}/tests/common
    ${TP_QT5_INCLUDE_DIRS}
    )

generate_telepathy_test(DaemonTest
                        SOURCES DaemonTest.cpp handler.cpp approver.cpp
                        TASKS --task ${CMAKE_BINARY_DIR}/daemon/history-daemon --ignore-return --task-name history-daemon
                        WAIT_FOR com.lomiri.HistoryService)

=== tests/libhistoryservice/CMakeLists.txt ===
include_directories(
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_SOURCE_DIR}/tests/common
    ${CMAKE_CURRENT_BINARY_DIR}
    ${TP_QT5_INCLUDE_DIRS}
)

generate_test(FilterTest SOURCES FilterTest.cpp LIBRARIES historyservice)
generate_test(IntersectionFilterTest SOURCES IntersectionFilterTest.cpp LIBRARIES historyservice)
generate_test(MmsStorageManagerTest SOURCES MmsStorageManagerTest.cpp LIBRARIES historyservice)
generate_test(ParticipantTest SOURCES ParticipantTest.cpp LIBRARIES historyservice)
generate_test(PhoneUtilsTest SOURCES PhoneUtilsTest.cpp LIBRARIES historyservice)
generate_test(SortTest SOURCES SortTest.cpp LIBRARIES historyservice)
generate_test(ThreadTest SOURCES ThreadTest.cpp LIBRARIES historyservice)
generate_test(TextEventTest SOURCES TextEventTest.cpp LIBRARIES historyservice)
generate_test(TextEventAttachmentTest SOURCES TextEventAttachmentTest.cpp LIBRARIES historyservice)
generate_test(UnionFilterTest SOURCES UnionFilterTest.cpp LIBRARIES historyservice)
generate_test(VoiceEventTest SOURCES VoiceEventTest.cpp LIBRARIES historyservice)

# DBus based tests
generate_test(ManagerTest
              SOURCES ManagerTest.cpp
              LIBRARIES historyservice
              USE_DBUS
              TASKS --task ${CMAKE_BINARY_DIR}/daemon/history-daemon --ignore-return --task-name history-daemon
              WAIT_FOR com.lomiri.HistoryService)
generate_test(ThreadViewTest
              SOURCES ThreadViewTest.cpp
              LIBRARIES historyservice
              USE_DBUS
              TASKS --task ${CMAKE_BINARY_DIR}/daemon/history-daemon --ignore-return --task-name history-daemon
              WAIT_FOR com.lomiri.HistoryService)
generate_test(EventViewTest
              SOURCES EventViewTest.cpp
              LIBRARIES historyservice
              USE_DBUS
              TASKS --task ${CMAKE_BINARY_DIR}/daemon/history-daemon --ignore-return --task-name history-daemon
              WAIT_FOR com.lomiri.HistoryService)

# Telepathy-based tests
generate_telepathy_test(ContactMatcherTest
                        SOURCES ContactMatcherTest.cpp
                        QT5_MODULES Core DBus Test Qml Contacts)

=== plugins/sqlite/schema/CMakeLists.txt ===
file(GLOB SCHEMA_FILES ${CMAKE_CURRENT_SOURCE_DIR}/v*.sql)

set(SCHEMA_FILE ${CMAKE_CURRENT_SOURCE_DIR}/schema.sql)
set(VERSION_FILE ${CMAKE_CURRENT_SOURCE_DIR}/version.info)

configure_file(update_schema.sh.in ${CMAKE_CURRENT_BINARY_DIR}/update_schema.sh @ONLY)
add_custom_command(
    OUTPUT ${SCHEMA_FILE} ${VERSION_FILE}
    COMMAND ${CMAKE_CURRENT_BINARY_DIR}/update_schema.sh ${CMAKE_CURRENT_SOURCE_DIR} ${SCHEMA_FILE} ${VERSION_FILE}
    WORKING DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    DEPENDS ${SCHEMA_FILES} generate_schema
    )

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/..)
add_executable(generate_schema generate_schema.cpp ${CMAKE_CURRENT_SOURCE_DIR}/../sqlitedatabase.cpp)
qt5_use_modules(generate_schema Core DBus Sql)
target_link_libraries(generate_schema historyservice ${SQLITE3_LIBRARIES})

add_custom_target(schema_update DEPENDS ${SCHEMA_FILE} ${VERSION_FILE})

=== debian/changelog ===
lomiri-history-service (0.4-2) unstable; urgency=medium

  [ Anton Gladky ]
  * Add debian/.gitlab-ci.yml.

  [ Mike Gabriel ]
  * debian/control:
    + Update Vcs-*: fields with new DEB src:pkg name.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 26 Jan 2023 20:31:04 +0100

lomiri-history-service (0.4-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1028588).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 13 Jan 2023 13:07:03 +0100

=== debian/control ===
Source: lomiri-history-service
Section: libs
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Marius Gripsgard <marius@ubports.com>,
Build-Depends: cmake,
               cmake-extras,
               dbus-test-runner,
               debhelper-compat (= 13),
               dconf-cli,
               gnome-keyring,
               libphonenumber-dev,
               libqt5sql5-sqlite,
               libsqlite3-dev,
               libtelepathy-qt5-dev,
               pkg-config,
               qtbase5-dev (>= 5.0),
               qtdeclarative5-dev (>= 5.0),
               qtpim5-dev (>= 5),
               sqlite3,
               telepathy-mission-control-5,
               lcov,
               gcovr,
               xauth,
               xvfb <!nocheck>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/history-service/
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-history-service/
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-history-service.git

Package: lomiri-history-service
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libqt5sql5-sqlite,
Description: History service to store messages and calls
 A service to record the messages that are sent and received and the calls that
 are made in the Ubuntu Touch platform.
 .
 This package contains the history service daemon that watches for Telepathy
 events and stores.

Package: lomiri-history-service-tools
Architecture: any
Multi-Arch: foreign
Section: utils
Depends: lomiri-history-service (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: History service to store messages and calls - tools
 A service to record the messages that are sent and received and the calls that
 are made in the Ubuntu Touch platform.
 .
 This package contains some tools to be used with the history service.

Package: libhistoryservice0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: History service to store messages and calls - client library
 A service to record the messages that are sent and received and the calls that
 are made in the Ubuntu Touch platform.
 .
 This package contains the client library to access the data stored by the
 history service.

Package: qml-module-lomiri-history
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: History service to store messages and calls - QML plugin
 A service to record the messages that are sent and received and the calls that
 are made in the Ubuntu Touch platform.
 .
 This package contains a QML plugin that provides data models to access the
 data stored by the history service.

Package: libhistoryservice-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libhistoryservice0 (= ${binary:Version}),
         ${misc:Depends},
Description: History service to store messages and calls - development files
 A service to record the messages that are sent and received and the calls that
 are made in the Ubuntu Touch platform.
 .
 This package contains the development files for the history service client
 library.

## lomiri-history-service 0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(history-service VERSION 0.4 LANGUAGES CXX)
+project(history-service VERSION 0.5 LANGUAGES CXX)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
 
 # Standard install paths
@@ -79,12 +79,17 @@
 
 add_definitions(-std=c++11)
 
-set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99 -Wall -Werror")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99 -Wall")
 # TODO remove the need for -Wno-unused-variable
 # unused-variable currently fails because of public headers includes static char's
 # there is also a gcc bug that makes it not possable to rely on diagnostic pragmas
 # https://gcc.gnu.org/bugzilla/show_bug.cgi?id=69967
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Werror -Wno-unused-variable")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wno-unused-variable")
+
+option(ENABLE_WERROR "Treat all build warnings as errors" ON)
+if(ENABLE_WERROR)
+    add_compile_options(-Werror)
+endif()
 
 # Define the version to be used in the library
 set(HISTORY_VERSION_MAJOR 0)

=== Lomiri/CMakeLists.txt ===
add_subdirectory(History)

=== src/CMakeLists.txt ===
set(library_SRCS
    channelobserver.cpp
    contactmatcher.cpp
    event.cpp
    eventview.cpp
    filter.cpp
    intersectionfilter.cpp
    manager.cpp
    managerdbus.cpp
    mmsstoragemanager.cpp
    participant.cpp
    phoneutils.cpp
    pluginthreadview.cpp
    plugineventview.cpp
    sort.cpp
    telepathyhelper.cpp
    textevent.cpp
    texteventattachment.cpp
    thread.cpp
    threadview.cpp
    unionfilter.cpp
    utils.cpp
    voiceevent.cpp
    )

set(library_HDRS
    Event
    event.h
    EventView
    eventview.h
    Filter
    filter.h
    IntersectionFilter
    intersectionfilter.h
    Manager
    manager.h
    Participant
    participant.h
    Plugin
    plugin.h
    PluginThreadView
    pluginthreadview.h
    PluginEventView
    plugineventview.h
    Sort
    sort.h
    TextEvent
    textevent.h
    TextEventAttachment
    texteventattachment.h
    Thread
    thread.h
    ThreadView
    threadview.h
    Types
    types.h
    UnionFilter
    unionfilter.h
    VoiceEvent
    voiceevent.h
)

set(library_PRIV_HDRS
    channelobserver_p.h
    contactmatcher_p.h
    event_p.h
    eventview_p.h
    filter_p.h
    intersectionfilter_p.h
    manager_p.h
    managerdbus_p.h
    mmsstoragemanager_p.h
    participant_p.h
    phoneutils_p.h
    pluginthreadview_p.h
    plugineventview_p.h
    sort_p.h
    telepathyhelper_p.h
    textevent_p.h
    texteventattachment_p.h
    thread_p.h
    threadview_p.h
    unionfilter_p.h
    utils_p.h
    voiceevent_p.h
)

qt5_add_dbus_adaptor(library_SRCS PluginThreadView.xml pluginthreadview.h History::PluginThreadView)
qt5_add_dbus_adaptor(library_SRCS PluginEventView.xml plugineventview.h History::PluginEventView)

include_directories(${CMAKE_SOURCE_DIR}/src
                    ${CMAKE_CURRENT_BINARY_DIR}
                    ${LibPhoneNumber_INCLUDE_DIRS}
                    ${TP_QT5_INCLUDE_DIRS})

add_library(historyservice SHARED ${library_SRCS} ${library_HDRS} ${library_PRIV_HDRS})

# Set the library version and the SOVERSION
set_target_properties(historyservice PROPERTIES
                      SOVERSION ${HISTORY_VERSION_MAJOR}
                      VERSION ${HISTORY_VERSION_MAJOR}.${HISTORY_VERSION_MINOR}.${HISTORY_VERSION_PATCH})

target_link_libraries(historyservice ${LibPhoneNumber_LIBRARIES} ${TP_QT5_LIBRARIES})
qt5_use_modules(historyservice Contacts Core DBus)

install(TARGETS historyservice DESTINATION ${CMAKE_INSTALL_LIBDIR})

set(INCLUDE_INSTALL_DIR include/${PROJECT_NAME})
install(FILES ${library_HDRS} DESTINATION ${INCLUDE_INSTALL_DIR}/History)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.pc.in ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pc)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig COMPONENT pkgconfig)

=== tests/CMakeLists.txt ===
include (GenerateTest)

add_subdirectory(common)
add_subdirectory(daemon)
add_subdirectory(libhistoryservice)
add_subdirectory(plugins)
add_subdirectory(Lomiri.History)

=== tools/CMakeLists.txt ===
add_subdirectory(reader)
add_subdirectory(maketextevents)
add_subdirectory(makevoiceevents)

=== tests/Lomiri.History/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}/Lomiri/History
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_SOURCE_DIR}/tests/common
    ${TP_QT5_INCLUDE_DIRS}
    )

set(SOURCE_DIR ${CMAKE_SOURCE_DIR}/Lomiri/History)
set(HistoryQml_SOURCES
    ${SOURCE_DIR}/historyeventmodel.cpp
    ${SOURCE_DIR}/historyeventmodel.h
    ${SOURCE_DIR}/historymanager.h
    ${SOURCE_DIR}/historymanager.cpp
    ${SOURCE_DIR}/historygroupedeventsmodel.cpp
    ${SOURCE_DIR}/historygroupedeventsmodel.h
    ${SOURCE_DIR}/historygroupedthreadsmodel.cpp
    ${SOURCE_DIR}/historygroupedthreadsmodel.h
    ${SOURCE_DIR}/historymodel.cpp
    ${SOURCE_DIR}/historymodel.h
    ${SOURCE_DIR}/historyqmlfilter.cpp
    ${SOURCE_DIR}/historyqmlfilter.h
    ${SOURCE_DIR}/historyqmlintersectionfilter.cpp
    ${SOURCE_DIR}/historyqmlintersectionfilter.h
    ${SOURCE_DIR}/historyqmlplugin.cpp
    ${SOURCE_DIR}/historyqmlplugin.h
    ${SOURCE_DIR}/historyqmlsort.cpp
    ${SOURCE_DIR}/historyqmlsort.h
    ${SOURCE_DIR}/historyqmltexteventattachment.cpp
    ${SOURCE_DIR}/historyqmltexteventattachment.h
    ${SOURCE_DIR}/historyqmlunionfilter.cpp
    ${SOURCE_DIR}/historyqmlunionfilter.h
    ${SOURCE_DIR}/historythreadmodel.cpp
    ${SOURCE_DIR}/historythreadmodel.h
    )

set(HistoryGroupedThreadsModelTest_SOURCES
    ${HistoryQml_SOURCES}
    HistoryGroupedThreadsModelTest.cpp
    )
generate_test(HistoryGroupedThreadsModelTest
              SOURCES ${HistoryGroupedThreadsModelTest_SOURCES}
              LIBRARIES historyservice
              QT5_MODULES Core Qml Test
              USE_DBUS
              USE_XVFB
              TASKS --task ${CMAKE_BINARY_DIR}/daemon/history-daemon --ignore-return --task-name history-daemon
              WAIT_FOR com.lomiri.HistoryService)
set(HistoryManagerTest_SOURCES
  ${HistoryQml_SOURCES}
  HistoryManagerTest.cpp
  )
generate_test(HistoryManagerTest
            SOURCES ${HistoryManagerTest_SOURCES}
            LIBRARIES historyservice
            QT5_MODULES Core Qml Test
            USE_DBUS
            USE_XVFB
            TASKS --task ${CMAKE_BINARY_DIR}/daemon/history-daemon --ignore-return --task-name history-daemon
            WAIT_FOR com.lomiri.HistoryService)

set(HistoryEventModelTest_SOURCES
    ${HistoryQml_SOURCES}
    HistoryEventModelTest.cpp
    )
generate_telepathy_test(HistoryEventModelTest
                        SOURCES ${HistoryEventModelTest_SOURCES}
                        LIBRARIES ${TP_QT5_LIBRARIES} mockcontroller telepathytest historyservice
                        USE_XVFB
                        TASKS --task ${CMAKE_BINARY_DIR}/daemon/history-daemon --ignore-return --task-name history-daemon
                        WAIT_FOR com.lomiri.HistoryService)

=== tools/maketextevents/CMakeLists.txt ===
set(maketextevents_SRCS main.cpp)

include_directories(
    ${CMAKE_SOURCE_DIR}/src
    )

add_executable(history-maketextevents ${maketextevents_SRCS})
qt5_use_modules(history-maketextevents Core)

target_link_libraries(history-maketextevents historyservice)
install(TARGETS history-maketextevents RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

=== tools/makevoiceevents/CMakeLists.txt ===
set(makevoiceevents_SRCS main.cpp)

include_directories(
    ${CMAKE_SOURCE_DIR}/src
    )

add_executable(history-makevoiceevents ${makevoiceevents_SRCS})
qt5_use_modules(history-makevoiceevents Core)

target_link_libraries(history-makevoiceevents historyservice)
install(TARGETS history-makevoiceevents RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

=== tests/common/mock/CMakeLists.txt ===
include_directories(
    ${TP_QT5_INCLUDE_DIRS}
    ${Qt5Core_INCLUDE_DIRS}
    ${Qt5DBus_INCLUDE_DIRS}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR}/src
    )

find_library(TELEPATHY_QT5_SERVICE_LIBRARIES telepathy-qt5-service)

set(mock_SRCS main.cpp protocol.cpp connection.cpp textchannel.cpp callchannel.cpp
              conferencecallchannel.cpp mockconnectiondbus.cpp speakeriface.cpp
              emergencymodeiface.cpp ussdiface.cpp voicemailiface.cpp)
qt5_add_dbus_adaptor(mock_SRCS MockConnection.xml mockconnectiondbus.h MockConnectionDBus)

add_executable(telepathy-mock ${mock_SRCS})
qt5_use_modules(telepathy-mock Core DBus)
target_link_libraries(telepathy-mock ${TP_QT5_LIBRARIES} ${TELEPATHY_QT5_SERVICE_LIBRARIES} ${OFONO_QT_LIBRARIES} ${PULSEAUDIO_LIBRARIES} ${Qt5Network_LIBRARIES})

=== debian/changelog ===
lomiri-history-service (0.5-1build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Apr 2024 05:39:15 +0000

lomiri-history-service (0.5-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:58:21 +0000

lomiri-history-service (0.5-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:45:02 +0000

lomiri-history-service (0.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attribution for debian/.
    + Update copyright attributions.
 -- Mike Gabriel <sunweaver@debian.org>  Thu, 01 Feb 2024 22:57:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lomiri-history-service
 Section: libs
 Priority: optional
-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Marius Gripsgard <marius@ubports.com>,

=== debian/watch ===
version=4
https://gitlab.com/ubports/core/history-service/tags .*/history-service-(\d\S+)\.tar\.gz

## lomiri-history-service 0.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(history-service VERSION 0.5 LANGUAGES CXX)
+project(lomiri-history-service VERSION 0.6 LANGUAGES CXX)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
 
 # Standard install paths
@@ -18,6 +18,7 @@
 find_package(Qt5Quick)
 find_package(Qt5Test)
 find_package(Qt5Network)
+find_package(Qt5Sql)
 find_package(LibPhoneNumber REQUIRED)
 
 include(qt5)
@@ -43,11 +44,15 @@
     set(QT_INSTALL_QML "/usr/lib/${CMAKE_LIBRARY_ARCHITECTURE}/qt5/qml")
 endif()
 
+option(USE_SYSTEMD "Install systemd service" ON)
+
 find_package(PkgConfig REQUIRED)
 pkg_check_modules(TP_QT5 REQUIRED TelepathyQt5)
 pkg_check_modules(SQLITE3 REQUIRED sqlite3)
 pkg_check_modules(QTGLIB QtGLib-2.0)
-pkg_check_modules(SYSTEMD REQUIRED systemd)
+if(USE_SYSTEMD)
+    pkg_check_modules(SYSTEMD REQUIRED systemd)
+endif()
 
 find_program(DBUS_RUNNER dbus-test-runner)
 
@@ -63,7 +68,7 @@
     ${CMAKE_CURRENT_SOURCE_DIR}
     )
 
-set(HISTORY_PLUGIN_PATH ${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}/plugins)
+set(HISTORY_PLUGIN_PATH ${CMAKE_INSTALL_FULL_LIBDIR}/${PROJECT_NAME}/plugins)
 set(TEST_DATA_DIR "${CMAKE_SOURCE_DIR}/tests/data")
 configure_file(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h @ONLY)
 
@@ -75,9 +80,18 @@
     set_property(DIRECTORY ${CMAKE_SOURCE_DIR} PROPERTY COVERAGE_TARGETS ${COVERAGE_TARGETS})
 endfunction()
 
-enable_testing()
+include(CTest)
 
-add_definitions(-std=c++11)
+set(CMAKE_CXX_STANDARD 17)
+set(CXX_STANDARD_REQUIRED ON)
+set(CMAKE_CXX_EXTENSIONS OFF)
+
+# Telepathy-Qt will cause some warnings with C++17 due to the use of the
+# removed `register` storage specifier. Mute them for now.
+# https://github.com/TelepathyIM/telepathy-qt/issues/39
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-register")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-register")
+
 
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99 -Wall")
 # TODO remove the need for -Wno-unused-variable
@@ -102,7 +116,9 @@
 add_subdirectory(plugins)
 add_subdirectory(tools)
 add_subdirectory(Lomiri)
-add_subdirectory(tests)
+if(BUILD_TESTING)
+    add_subdirectory(tests)
+endif()
 
 find_package(CoverageReport)
 # Coverage

=== daemon/CMakeLists.txt ===

set(qt_SRCS
    callchannelobserver.cpp
    emblemcountmanager.cpp
    historydaemon.cpp
    historyservicedbus.cpp
    pluginmanager.cpp
    rolesinterface.cpp
    textchannelobserver.cpp
    )

set(daemon_SRCS main.cpp ${qt_SRCS})

include_directories(
    ${TP_QT5_INCLUDE_DIRS}
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    )

qt5_add_dbus_adaptor(daemon_SRCS HistoryService.xml historyservicedbus.h HistoryServiceDBus)

add_executable(lomiri-history-daemon ${daemon_SRCS} ${daemon_HDRS})

target_link_libraries(lomiri-history-daemon
    Qt5::Core
    Qt5::DBus
    ${TP_QT5_LIBRARIES}
    lomirihistoryservice
    )

configure_file(org.freedesktop.Telepathy.Client.HistoryDaemonObserver.service.in org.freedesktop.Telepathy.Client.HistoryDaemonObserver.service)
configure_file(com.lomiri.HistoryService.service.in com.lomiri.HistoryService.service)
configure_file(lomiri-history-daemon.service.in ${CMAKE_CURRENT_BINARY_DIR}/lomiri-history-daemon.service)

install(TARGETS lomiri-history-daemon RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_LIBEXECDIR})
install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Telepathy.Client.HistoryDaemonObserver.service
        ${CMAKE_CURRENT_BINARY_DIR}/com.lomiri.HistoryService.service
        DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/dbus-1/services
        )
install(FILES LomiriHistoryDaemonObserver.client DESTINATION share/telepathy/clients)
if(USE_SYSTEMD)
    pkg_get_variable(SYSTEMD_USER_UNIT_DIR systemd systemduserunitdir)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/lomiri-history-daemon.service
            DESTINATION ${SYSTEMD_USER_UNIT_DIR})
endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -93,19 +93,18 @@
                     ${LibPhoneNumber_INCLUDE_DIRS}
                     ${TP_QT5_INCLUDE_DIRS})
 
-add_library(historyservice SHARED ${library_SRCS} ${library_HDRS} ${library_PRIV_HDRS})
+add_library(lomirihistoryservice SHARED ${library_SRCS} ${library_HDRS} ${library_PRIV_HDRS})
 
 # Set the library version and the SOVERSION
-set_target_properties(historyservice PROPERTIES
+set_target_properties(lomirihistoryservice PROPERTIES
                       SOVERSION ${HISTORY_VERSION_MAJOR}
                       VERSION ${HISTORY_VERSION_MAJOR}.${HISTORY_VERSION_MINOR}.${HISTORY_VERSION_PATCH})
 
-target_link_libraries(historyservice ${LibPhoneNumber_LIBRARIES} ${TP_QT5_LIBRARIES})
-qt5_use_modules(historyservice Contacts Core DBus)
+target_link_libraries(lomirihistoryservice ${LibPhoneNumber_LIBRARIES} ${TP_QT5_LIBRARIES} Qt5::Contacts Qt5::Core Qt5::DBus)
 
-install(TARGETS historyservice DESTINATION ${CMAKE_INSTALL_LIBDIR})
+install(TARGETS lomirihistoryservice DESTINATION ${CMAKE_INSTALL_LIBDIR})
 
-set(INCLUDE_INSTALL_DIR include/${PROJECT_NAME})
+set(INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_FULL_INCLUDEDIR}/${PROJECT_NAME})
 install(FILES ${library_HDRS} DESTINATION ${INCLUDE_INSTALL_DIR}/History)
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.pc.in ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pc)

=== Lomiri/History/CMakeLists.txt ===
--- 
+++ 
@@ -34,14 +34,16 @@
     ${CMAKE_SOURCE_DIR}/src
     )
 
-add_library(history-qml MODULE ${plugin_SRCS} ${plugin_HDRS})
+add_library(lomirihistory-qml MODULE ${plugin_SRCS} ${plugin_HDRS})
 
-qt5_use_modules(history-qml Contacts Core Qml Quick)
-
-target_link_libraries(history-qml
-    historyservice
+target_link_libraries(lomirihistory-qml
+    Qt5::Contacts
+    Qt5::Core
+    Qt5::Qml
+    Qt5::Quick
+    lomirihistoryservice
     )
 
 set(PLUGIN_DIR ${QT_INSTALL_QML}/Lomiri/History)
-install(TARGETS history-qml DESTINATION ${PLUGIN_DIR})
+install(TARGETS lomirihistory-qml DESTINATION ${PLUGIN_DIR})
 install(FILES qmldir DESTINATION ${PLUGIN_DIR})

=== plugins/sqlite/CMakeLists.txt ===
# SQLite Plugin

set(plugin_SRCS
    sqlitedatabase.cpp
    sqlitehistoryeventview.cpp
    sqlitehistorythreadview.cpp
    sqlitehistoryplugin.cpp
    )

set (plugin_HDRS
    sqlitedatabase.h
    sqlitehistoryeventview.h
    sqlitehistorythreadview.h
    sqlitehistoryplugin.h
)

include_directories(
    ${CMAKE_SOURCE_DIR}/src
    ${SQLITE3_INCLUDE_DIRS}
    )

qt5_add_resources(plugin_RES sqlitehistoryplugin.qrc)

add_library(sqlitehistoryplugin SHARED ${plugin_SRCS} ${plugin_HDRS} ${plugin_RES})

# update the .qrc file automatically when there are new schema files
file(GLOB QRC_RESOURCE_FILES ${CMAKE_CURRENT_SOURCE_DIR}/schema/*.sql ${CMAKE_CURRENT_SOURCE_DIR}/schema/*.info)
set(QRC_FILE ${CMAKE_CURRENT_SOURCE_DIR}/sqlitehistoryplugin.qrc)
add_custom_command(
    OUTPUT ${QRC_FILE}
    COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/update_qrc.sh ${QRC_FILE}
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    DEPENDS ${QRC_RESOURCE_FILES}
    )
add_custom_target(qrc_update DEPENDS ${QRC_FILE} schema_update)

add_dependencies(sqlitehistoryplugin schema_update qrc_update)
target_link_libraries(sqlitehistoryplugin Qt5::Core Qt5::DBus Qt5::Sql lomirihistoryservice ${SQLITE3_LIBRARIES})
install(TARGETS sqlitehistoryplugin DESTINATION ${HISTORY_PLUGIN_PATH})

add_subdirectory(schema)

=== tests/Lomiri.History/CMakeLists.txt ===
--- 
+++ 
@@ -40,11 +40,11 @@
     )
 generate_test(HistoryGroupedThreadsModelTest
               SOURCES ${HistoryGroupedThreadsModelTest_SOURCES}
-              LIBRARIES historyservice
-              QT5_MODULES Core Qml Test
+              LIBRARIES lomirihistoryservice
+              QT5_MODULES Qt5::Core Qt5::Qml Qt5::Test
               USE_DBUS
               USE_XVFB
-              TASKS --task ${CMAKE_BINARY_DIR}/daemon/history-daemon --ignore-return --task-name history-daemon
+              TASKS --task ${CMAKE_BINARY_DIR}/daemon/lomiri-history-daemon --ignore-return --task-name lomiri-history-daemon
               WAIT_FOR com.lomiri.HistoryService)
 set(HistoryManagerTest_SOURCES
   ${HistoryQml_SOURCES}
@@ -52,11 +52,11 @@
   )
 generate_test(HistoryManagerTest
             SOURCES ${HistoryManagerTest_SOURCES}
-            LIBRARIES historyservice
-            QT5_MODULES Core Qml Test
+            LIBRARIES lomirihistoryservice
+            QT5_MODULES Qt5::Core Qt5::Qml Qt5::Test
             USE_DBUS
             USE_XVFB
-            TASKS --task ${CMAKE_BINARY_DIR}/daemon/history-daemon --ignore-return --task-name history-daemon
+            TASKS --task ${CMAKE_BINARY_DIR}/daemon/lomiri-history-daemon --ignore-return --task-name lomiri-history-daemon
             WAIT_FOR com.lomiri.HistoryService)
 
 set(HistoryEventModelTest_SOURCES
@@ -65,7 +65,7 @@
     )
 generate_telepathy_test(HistoryEventModelTest
                         SOURCES ${HistoryEventModelTest_SOURCES}
-                        LIBRARIES ${TP_QT5_LIBRARIES} mockcontroller telepathytest historyservice
+                        LIBRARIES ${TP_QT5_LIBRARIES} mockcontroller telepathytest lomirihistoryservice
                         USE_XVFB
-                        TASKS --task ${CMAKE_BINARY_DIR}/daemon/history-daemon --ignore-return --task-name history-daemon
+                        TASKS --task ${CMAKE_BINARY_DIR}/daemon/lomiri-history-daemon --ignore-return --task-name lomiri-history-daemon
                         WAIT_FOR com.lomiri.HistoryService)

=== tests/common/CMakeLists.txt ===
include_directories(${TP_QT5_INCLUDE_DIRS}
                    ${CMAKE_SOURCE_DIR}/src)

configure_file(dbus-session.conf.in ${CMAKE_CURRENT_BINARY_DIR}/dbus-session.conf)

add_library(mockcontroller STATIC mockcontroller.cpp mockcontroller.h)
target_link_libraries(mockcontroller Qt5::Core Qt5::DBus)

add_library(telepathytest STATIC telepathytest.cpp telepathytest.h)
target_link_libraries(telepathytest Qt5::Core Qt5::DBus ${TP_QT5_LIBRARIES})

add_subdirectory(mock)
add_subdirectory(dbus-services)

=== tests/daemon/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_SOURCE_DIR}/tests/common
    ${TP_QT5_INCLUDE_DIRS}
    )

generate_telepathy_test(DaemonTest
                        SOURCES DaemonTest.cpp handler.cpp approver.cpp
                        TASKS --task ${CMAKE_BINARY_DIR}/daemon/lomiri-history-daemon --ignore-return --task-name lomiri-history-daemon
                        WAIT_FOR com.lomiri.HistoryService)

=== tests/libhistoryservice/CMakeLists.txt ===
include_directories(
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_SOURCE_DIR}/tests/common
    ${CMAKE_CURRENT_BINARY_DIR}
    ${TP_QT5_INCLUDE_DIRS}
)

generate_test(FilterTest SOURCES FilterTest.cpp LIBRARIES lomirihistoryservice)
generate_test(IntersectionFilterTest SOURCES IntersectionFilterTest.cpp LIBRARIES lomirihistoryservice)
generate_test(MmsStorageManagerTest SOURCES MmsStorageManagerTest.cpp LIBRARIES lomirihistoryservice)
generate_test(ParticipantTest SOURCES ParticipantTest.cpp LIBRARIES lomirihistoryservice)
generate_test(PhoneUtilsTest SOURCES PhoneUtilsTest.cpp LIBRARIES lomirihistoryservice)
generate_test(SortTest SOURCES SortTest.cpp LIBRARIES lomirihistoryservice)
generate_test(ThreadTest SOURCES ThreadTest.cpp LIBRARIES lomirihistoryservice)
generate_test(TextEventTest SOURCES TextEventTest.cpp LIBRARIES lomirihistoryservice)
generate_test(TextEventAttachmentTest SOURCES TextEventAttachmentTest.cpp LIBRARIES lomirihistoryservice)
generate_test(UnionFilterTest SOURCES UnionFilterTest.cpp LIBRARIES lomirihistoryservice)
generate_test(VoiceEventTest SOURCES VoiceEventTest.cpp LIBRARIES lomirihistoryservice)

# DBus based tests
generate_test(ManagerTest
              SOURCES ManagerTest.cpp
              LIBRARIES lomirihistoryservice
              USE_DBUS
              TASKS --task ${CMAKE_BINARY_DIR}/daemon/lomiri-history-daemon --ignore-return --task-name lomiri-history-daemon
              WAIT_FOR com.lomiri.HistoryService)
generate_test(ThreadViewTest
              SOURCES ThreadViewTest.cpp
              LIBRARIES lomirihistoryservice
              USE_DBUS
              TASKS --task ${CMAKE_BINARY_DIR}/daemon/lomiri-history-daemon --ignore-return --task-name lomiri-history-daemon
              WAIT_FOR com.lomiri.HistoryService)
generate_test(EventViewTest
              SOURCES EventViewTest.cpp
              LIBRARIES lomirihistoryservice
              USE_DBUS
              TASKS --task ${CMAKE_BINARY_DIR}/daemon/lomiri-history-daemon --ignore-return --task-name lomiri-history-daemon
              WAIT_FOR com.lomiri.HistoryService)

# Telepathy-based tests
generate_telepathy_test(ContactMatcherTest
                        SOURCES ContactMatcherTest.cpp
                        QT5_MODULES Qt5::Core Qt5::DBus Qt5::Test Qt5::Qml Qt5::Contacts)

=== tools/maketextevents/CMakeLists.txt ===
set(maketextevents_SRCS main.cpp)

include_directories(
    ${CMAKE_SOURCE_DIR}/src
    )

add_executable(lomiri-history-maketextevents ${maketextevents_SRCS})

target_link_libraries(lomiri-history-maketextevents Qt5::Core lomirihistoryservice)
install(TARGETS lomiri-history-maketextevents RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

=== tools/makevoiceevents/CMakeLists.txt ===
set(makevoiceevents_SRCS main.cpp)

include_directories(
    ${CMAKE_SOURCE_DIR}/src
    )

add_executable(lomiri-history-makevoiceevents ${makevoiceevents_SRCS})

target_link_libraries(lomiri-history-makevoiceevents Qt5::Core lomirihistoryservice)
install(TARGETS lomiri-history-makevoiceevents RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

=== tools/reader/CMakeLists.txt ===
set(reader_SRCS main.cpp)

include_directories(
    ${CMAKE_SOURCE_DIR}/src
    )

add_executable(lomiri-history-reader ${reader_SRCS})

target_link_libraries(lomiri-history-reader Qt5::Core lomirihistoryservice)

=== debian/changelog ===
lomiri-history-service (0.6-2) unstable; urgency=medium

  * Re-upload source-only.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 20 Oct 2024 00:27:16 +0200

lomiri-history-service (0.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/:
    + Adjust to project renamings since v0.6 upstream.
  * debian/patches:
    + Drop 1001_bump-to-c++17.patch. No needed anymore.
    + Add 1001_qtcontacts-sqlite-backend.patch and 1002_no-need-for-abook-
      service-anymore.patch. Prepare for new QtContacts-Sqlite abook backend.
  * debian/control:
    + Add to D: (liblomirihistoryservice0): libqt5contact5-plugin-sqlite.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 16 Oct 2024 10:15:05 +0200

lomiri-history-service (0.5-3) unstable; urgency=medium

  * debian/control:
    + Add to B-D: systemd-dev. (Closes: #1072595).
    + Bump Standards-Version to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 07 Jun 2024 18:56:35 +0200

lomiri-history-service (0.5-2) unstable; urgency=medium

  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/patches:
    + Add 1001_bump-to-c++17.patch. Cherry-picked from upstream MR !35.
      (Closes: #1068613).
  * debian/control:
    + Switch from pkg-config to pkgconf. Thanks, lintian.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 08 Apr 2024 08:44:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: lomiri-history-service
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Marius Gripsgard <marius@ubports.com>,
@@ -16,7 +15,7 @@
                libqt5sql5-sqlite,
                libsqlite3-dev,
                libtelepathy-qt5-dev,
-               pkg-config,
+               pkgconf,
                qtbase5-dev (>= 5.0),
                qtdeclarative5-dev (>= 5.0),
                qtpim5-dev (>= 5),
@@ -24,11 +23,12 @@
                telepathy-mission-control-5,
                lcov,
                gcovr,
+               systemd-dev,
                xauth,
                xvfb <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Homepage: https://gitlab.com/ubports/development/core/history-service/
+Homepage: https://gitlab.com/ubports/development/core/lomiri-history-service/
 Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-history-service/
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-history-service.git
 
@@ -58,11 +58,12 @@
  .
  This package contains some tools to be used with the history service.
 
-Package: libhistoryservice0
+Package: liblomirihistoryservice0
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
+         libqt5contact5-plugin-sqlite,
 Description: History service to store messages and calls - client library
  A service to record the messages that are sent and received and the calls that
  are made in the Ubuntu Touch platform.
@@ -82,11 +83,11 @@
  This package contains a QML plugin that provides data models to access the
  data stored by the history service.
 
-Package: libhistoryservice-dev
+Package: liblomirihistoryservice-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libhistoryservice0 (= ${binary:Version}),
+Depends: liblomirihistoryservice0 (= ${binary:Version}),
          ${misc:Depends},
 Description: History service to store messages and calls - development files
  A service to record the messages that are sent and received and the calls that

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_WERROR=OFF		\
	                     $(NULL)

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test:
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	export HOME=$(CURDIR)/debian/home &&    \
	    mkdir -p $${HOME} &&       \
	    CTEST_OUTPUT_ON_FAILURE=1 make -j1 -C obj-$(DEB_HOST_GNU_TYPE) test
endif
endif

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
